<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [isLogEnabled](./bitburner.ns.islogenabled.md)

## NS.isLogEnabled() method

Checks the status of the logging for the given function.

**Signature:**

```typescript
isLogEnabled(fn: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  fn | string | Name of function to check. |

**Returns:**

boolean

Returns a boolean indicating whether or not logging is enabled for that function (or `ALL`<!-- -->).

## Remarks

RAM cost: 0 GB

